<?php

namespace FiloBlu\Flow\Console\Command;

use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;
use Magento\Framework\Module\ModuleListInterface;


class ReceiveCommand extends Command
{

    public function __construct(\FiloBlu\Flow\Cron\Fetch $cronModel)
    {
        $this->cronModel = $cronModel;
        parent::__construct();
    }

    protected function configure()
    {
        $this->setName('flow:receive')->setDescription('Receive files/data from remote source');
    }

    protected function execute(InputInterface $input, OutputInterface $output)
    {
        $this->cronModel->receive();
        $output->writeln('<info>Receive executed !</info>');
    }

}